{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FFIL_ABREVIATION; 
            externalType = VARCHAR2; 
            name = ffilAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FFIL_CODE; 
            externalType = VARCHAR2; 
            name = ffilCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FFIL_LIBELLE; 
            externalType = VARCHAR2; 
            name = ffilLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FFIL_VALIDITE; 
            externalType = VARCHAR2; 
            name = ffilValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (ffilCode); 
    className = EOGenericRecord; 
    classProperties = (ffilCode, ffilLibelle, ffilAbreviation, ffilValidite); 
    externalName = SCOL_FORMATION_FILIERE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationFiliere; 
    primaryKeyAttributes = (ffilCode); 
}
